# $Revision: 1.12 $, $Date: 2004/05/06 18:43:23 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Text
%define	pnam	Reform
Summary:	Text::Reform - manual text wrapping and reformating
Summary(pl):	Text::Reform - rczne wcinanie i przeformatowywanie tekstu
Name:		perl-Text-Reform
Version:	1.11
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	18646b9fee3d2ddecdacde1d9210d83d
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The module supplies a re-entrant, highly configurable replacement for
the built-in Perl format() mechanism.

%description -l pl
Modu udostpnia umoliwiajcy zrwnoleglanie, wysoce konfigurowalny
mechanizm zastpujcy wbudowany mechanizm format() Perla.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
find -type f | xargs perl -pi -e 's,/usr/local,/usr,g'
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install demo*.pl $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Text/Reform.pm
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Text-Reform.spec,v $
Revision 1.12  2004/05/06 18:43:23  ankry
- fixed perl-devel BR

Revision 1.11  2004/04/27 15:26:28  ankry
- new bconds

Revision 1.10  2003/09/09 10:24:52  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:09:21  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/06/12 09:35:08  qboosh
- up to 1.11

Revision 1.7  2003/05/28 13:01:06  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:25:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/04/11 16:14:27  ankry
- rel. 2

Revision 1.3  2003/04/11 16:06:53  ankry
- should be ready for perl 5.8.0

Revision 1.2  2003/04/11 15:56:30  ankry
- fixed descriptions

Revision 1.1  2003/04/11 15:49:01  ankry
- new, for ra
